Package com.microblink.blinkid.entities.recognizers.blinkid.generic.classinfo

# Enum Class Region

java.lang.Object
java.lang.Enum<Region>
com.microblink.blinkid.entities.recognizers.blinkid.generic.classinfo.Region

All Implemented Interfaces:
  `Serializable`, `Comparable<Region>`, `Constable`

public enum Region extends Enum<Region>
Document region

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AGUASCALIENTES`
  `ALABAMA`
  `ALAGOAS`
  `ALASKA`
  `ALBERTA`
  `ANDHRA_PRADESH`
  `ARIZONA`
  `ARKANSAS`
  `AUSTRALIAN_CAPITAL_TERRITORY`
  `BAJA_CALIFORNIA`
  `BAJA_CALIFORNIA_SUR`
  `BANGSAMORO`
  `BRITISH_COLUMBIA`
  `CALIFORNIA`
  `CAMPECHE`
  `CEARA`
  `CHIAPAS`
  `CHIHUAHUA`
  `CIUDAD_DE_MEXICO`
  `COAHUILA`
  `COLIMA`
  `COLORADO`
  `CONNECTICUT`
  `DELAWARE`
  `DISTRICT_OF_COLUMBIA`
  `DISTRITO_FEDERAL`
  `DURANGO`
  `FLORIDA`
  `GEORGIA`
  `GOIAS`
  `GUANAJUATO`
  `GUERRERO`
  `GUERRERO_ACAPULCO_DE_JUAREZ`
  `GUERRERO_COCULA`
  `GUERRERO_JUCHITAN`
  `GUERRERO_TEPECOACUILCO`
  `GUERRERO_TLACOAPA`
  `GUJARAT`
  `HARYANA`
  `HAWAII`
  `HIDALGO`
  `IDAHO`
  `ILLINOIS`
  `INDIANA`
  `IOWA`
  `JALISCO`
  `KANSAS`
  `KARNATAKA`
  `KENTUCKY`
  `KERALA`
  `KHYBER_PAKHTUNKHWA`
  `LOUISIANA`
  `MADHYA_PRADESH`
  `MAHARASHTRA`
  `MAINE`
  `MANITOBA`
  `MARANHAO`
  `MARYLAND`
  `MASSACHUSETTS`
  `MATO_GROSSO`
  `MEXICO`
  `MICHIGAN`
  `MICHOACAN`
  `MINAS_GERAIS`
  `MINNESOTA`
  `MISSISSIPPI`
  `MISSOURI`
  `MONTANA`
  `MORELOS`
  `NAYARIT`
  `NEBRASKA`
  `NEVADA`
  `NEW_BRUNSWICK`
  `NEW_HAMPSHIRE`
  `NEW_JERSEY`
  `NEW_MEXICO`
  `NEW_SOUTH_WALES`
  `NEW_YORK`
  `NEW_YORK_CITY`
  `NEWFOUNDLAND_AND_LABRADOR`
  `NONE`
  `NORTH_CAROLINA`
  `NORTH_DAKOTA`
  `NORTHERN_TERRITORY`
  `NORTHWEST_TERRITORIES`
  `NOVA_SCOTIA`
  `NUEVO_LEON`
  `NUNAVUT`
  `OAXACA`
  `OHIO`
  `OKLAHOMA`
  `ONTARIO`
  `OREGON`
  `PARA`
  `PARANA`
  `PENNSYLVANIA`
  `PERNAMBUCO`
  `PRINCE_EDWARD_ISLAND`
  `PUEBLA`
  `PUNJAB`
  `QUEBEC`
  `QUEENSLAND`
  `QUERETARO`
  `QUINTANA_ROO`
  `QUINTANA_ROO_BENITO_JUAREZ`
  `QUINTANA_ROO_COZUMEL`
  `QUINTANA_ROO_SOLIDARIDAD`
  `RHODE_ISLAND`
  `RIO_DE_JANEIRO`
  `RIO_GRANDE_DO_SUL`
  `SAN_LUIS_POTOSI`
  `SANTA_CATARINA`
  `SAO_PAOLO`
  `SASKATCHEWAN`
  `SERGIPE`
  `SINALOA`
  `SONORA`
  `SOUTH_AUSTRALIA`
  `SOUTH_CAROLINA`
  `SOUTH_DAKOTA`
  `TABASCO`
  `TAMAULIPAS`
  `TAMIL_NADU`
  `TASMANIA`
  `TENNESSEE`
  `TEXAS`
  `TLAXCALA`
  `UTAH`
  `VERACRUZ`
  `VERMONT`
  `VICTORIA`
  `VIRGINIA`
  `WASHINGTON`
  `WEST_VIRGINIA`
  `WESTERN_AUSTRALIA`
  `WISCONSIN`
  `WYOMING`
  `YUCATAN`
  `YUKON`
  `ZACATECAS`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Region`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Region[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NONE

    public static final Region NONE

  - ### ALABAMA

    public static final Region ALABAMA

  - ### ALASKA

    public static final Region ALASKA

  - ### ALBERTA

    public static final Region ALBERTA

  - ### ARIZONA

    public static final Region ARIZONA

  - ### ARKANSAS

    public static final Region ARKANSAS

  - ### AUSTRALIAN_CAPITAL_TERRITORY

    public static final Region AUSTRALIAN_CAPITAL_TERRITORY

  - ### BRITISH_COLUMBIA

    public static final Region BRITISH_COLUMBIA

  - ### CALIFORNIA

    public static final Region CALIFORNIA

  - ### COLORADO

    public static final Region COLORADO

  - ### CONNECTICUT

    public static final Region CONNECTICUT

  - ### DELAWARE

    public static final Region DELAWARE

  - ### DISTRICT_OF_COLUMBIA

    public static final Region DISTRICT_OF_COLUMBIA

  - ### FLORIDA

    public static final Region FLORIDA

  - ### GEORGIA

    public static final Region GEORGIA

  - ### HAWAII

    public static final Region HAWAII

  - ### IDAHO

    public static final Region IDAHO

  - ### ILLINOIS

    public static final Region ILLINOIS

  - ### INDIANA

    public static final Region INDIANA

  - ### IOWA

    public static final Region IOWA

  - ### KANSAS

    public static final Region KANSAS

  - ### KENTUCKY

    public static final Region KENTUCKY

  - ### LOUISIANA

    public static final Region LOUISIANA

  - ### MAINE

    public static final Region MAINE

  - ### MANITOBA

    public static final Region MANITOBA

  - ### MARYLAND

    public static final Region MARYLAND

  - ### MASSACHUSETTS

    public static final Region MASSACHUSETTS

  - ### MICHIGAN

    public static final Region MICHIGAN

  - ### MINNESOTA

    public static final Region MINNESOTA

  - ### MISSISSIPPI

    public static final Region MISSISSIPPI

  - ### MISSOURI

    public static final Region MISSOURI

  - ### MONTANA

    public static final Region MONTANA

  - ### NEBRASKA

    public static final Region NEBRASKA

  - ### NEVADA

    public static final Region NEVADA

  - ### NEW_BRUNSWICK

    public static final Region NEW_BRUNSWICK

  - ### NEW_HAMPSHIRE

    public static final Region NEW_HAMPSHIRE

  - ### NEW_JERSEY

    public static final Region NEW_JERSEY

  - ### NEW_MEXICO

    public static final Region NEW_MEXICO

  - ### NEW_SOUTH_WALES

    public static final Region NEW_SOUTH_WALES

  - ### NEW_YORK

    public static final Region NEW_YORK

  - ### NORTHERN_TERRITORY

    public static final Region NORTHERN_TERRITORY

  - ### NORTH_CAROLINA

    public static final Region NORTH_CAROLINA

  - ### NORTH_DAKOTA

    public static final Region NORTH_DAKOTA

  - ### NOVA_SCOTIA

    public static final Region NOVA_SCOTIA

  - ### OHIO

    public static final Region OHIO

  - ### OKLAHOMA

    public static final Region OKLAHOMA

  - ### ONTARIO

    public static final Region ONTARIO

  - ### OREGON

    public static final Region OREGON

  - ### PENNSYLVANIA

    public static final Region PENNSYLVANIA

  - ### QUEBEC

    public static final Region QUEBEC

  - ### QUEENSLAND

    public static final Region QUEENSLAND

  - ### RHODE_ISLAND

    public static final Region RHODE_ISLAND

  - ### SASKATCHEWAN

    public static final Region SASKATCHEWAN

  - ### SOUTH_AUSTRALIA

    public static final Region SOUTH_AUSTRALIA

  - ### SOUTH_CAROLINA

    public static final Region SOUTH_CAROLINA

  - ### SOUTH_DAKOTA

    public static final Region SOUTH_DAKOTA

  - ### TASMANIA

    public static final Region TASMANIA

  - ### TENNESSEE

    public static final Region TENNESSEE

  - ### TEXAS

    public static final Region TEXAS

  - ### UTAH

    public static final Region UTAH

  - ### VERMONT

    public static final Region VERMONT

  - ### VICTORIA

    public static final Region VICTORIA

  - ### VIRGINIA

    public static final Region VIRGINIA

  - ### WASHINGTON

    public static final Region WASHINGTON

  - ### WESTERN_AUSTRALIA

    public static final Region WESTERN_AUSTRALIA

  - ### WEST_VIRGINIA

    public static final Region WEST_VIRGINIA

  - ### WISCONSIN

    public static final Region WISCONSIN

  - ### WYOMING

    public static final Region WYOMING

  - ### YUKON

    public static final Region YUKON

  - ### CIUDAD_DE_MEXICO

    public static final Region CIUDAD_DE_MEXICO

  - ### JALISCO

    public static final Region JALISCO

  - ### NEWFOUNDLAND_AND_LABRADOR

    public static final Region NEWFOUNDLAND_AND_LABRADOR

  - ### NUEVO_LEON

    public static final Region NUEVO_LEON

  - ### BAJA_CALIFORNIA

    public static final Region BAJA_CALIFORNIA

  - ### CHIHUAHUA

    public static final Region CHIHUAHUA

  - ### GUANAJUATO

    public static final Region GUANAJUATO

  - ### GUERRERO

    public static final Region GUERRERO

  - ### MEXICO

    public static final Region MEXICO

  - ### MICHOACAN

    public static final Region MICHOACAN

  - ### NEW_YORK_CITY

    public static final Region NEW_YORK_CITY

  - ### TAMAULIPAS

    public static final Region TAMAULIPAS

  - ### VERACRUZ

    public static final Region VERACRUZ

  - ### CHIAPAS

    public static final Region CHIAPAS

  - ### COAHUILA

    public static final Region COAHUILA

  - ### DURANGO

    public static final Region DURANGO

  - ### GUERRERO_COCULA

    public static final Region GUERRERO_COCULA

  - ### GUERRERO_JUCHITAN

    public static final Region GUERRERO_JUCHITAN

  - ### GUERRERO_TEPECOACUILCO

    public static final Region GUERRERO_TEPECOACUILCO

  - ### GUERRERO_TLACOAPA

    public static final Region GUERRERO_TLACOAPA

  - ### GUJARAT

    public static final Region GUJARAT

  - ### HIDALGO

    public static final Region HIDALGO

  - ### KARNATAKA

    public static final Region KARNATAKA

  - ### KERALA

    public static final Region KERALA

  - ### KHYBER_PAKHTUNKHWA

    public static final Region KHYBER_PAKHTUNKHWA

  - ### MADHYA_PRADESH

    public static final Region MADHYA_PRADESH

  - ### MAHARASHTRA

    public static final Region MAHARASHTRA

  - ### MORELOS

    public static final Region MORELOS

  - ### NAYARIT

    public static final Region NAYARIT

  - ### OAXACA

    public static final Region OAXACA

  - ### PUEBLA

    public static final Region PUEBLA

  - ### PUNJAB

    public static final Region PUNJAB

  - ### QUERETARO

    public static final Region QUERETARO

  - ### SAN_LUIS_POTOSI

    public static final Region SAN_LUIS_POTOSI

  - ### SINALOA

    public static final Region SINALOA

  - ### SONORA

    public static final Region SONORA

  - ### TABASCO

    public static final Region TABASCO

  - ### TAMIL_NADU

    public static final Region TAMIL_NADU

  - ### YUCATAN

    public static final Region YUCATAN

  - ### ZACATECAS

    public static final Region ZACATECAS

  - ### AGUASCALIENTES

    public static final Region AGUASCALIENTES

  - ### BAJA_CALIFORNIA_SUR

    public static final Region BAJA_CALIFORNIA_SUR

  - ### CAMPECHE

    public static final Region CAMPECHE

  - ### COLIMA

    public static final Region COLIMA

  - ### QUINTANA_ROO_BENITO_JUAREZ

    public static final Region QUINTANA_ROO_BENITO_JUAREZ

  - ### QUINTANA_ROO

    public static final Region QUINTANA_ROO

  - ### QUINTANA_ROO_SOLIDARIDAD

    public static final Region QUINTANA_ROO_SOLIDARIDAD

  - ### TLAXCALA

    public static final Region TLAXCALA

  - ### QUINTANA_ROO_COZUMEL

    public static final Region QUINTANA_ROO_COZUMEL

  - ### SAO_PAOLO

    public static final Region SAO_PAOLO

  - ### RIO_DE_JANEIRO

    public static final Region RIO_DE_JANEIRO

  - ### RIO_GRANDE_DO_SUL

    public static final Region RIO_GRANDE_DO_SUL

  - ### NORTHWEST_TERRITORIES

    public static final Region NORTHWEST_TERRITORIES

  - ### NUNAVUT

    public static final Region NUNAVUT

  - ### PRINCE_EDWARD_ISLAND

    public static final Region PRINCE_EDWARD_ISLAND

  - ### DISTRITO_FEDERAL

    public static final Region DISTRITO_FEDERAL

  - ### MARANHAO

    public static final Region MARANHAO

  - ### MATO_GROSSO

    public static final Region MATO_GROSSO

  - ### MINAS_GERAIS

    public static final Region MINAS_GERAIS

  - ### PARA

    public static final Region PARA

  - ### PARANA

    public static final Region PARANA

  - ### PERNAMBUCO

    public static final Region PERNAMBUCO

  - ### SANTA_CATARINA

    public static final Region SANTA_CATARINA

  - ### ANDHRA_PRADESH

    public static final Region ANDHRA_PRADESH

  - ### CEARA

    public static final Region CEARA

  - ### GOIAS

    public static final Region GOIAS

  - ### GUERRERO_ACAPULCO_DE_JUAREZ

    public static final Region GUERRERO_ACAPULCO_DE_JUAREZ

  - ### HARYANA

    public static final Region HARYANA

  - ### SERGIPE

    public static final Region SERGIPE

  - ### ALAGOAS

    public static final Region ALAGOAS

  - ### BANGSAMORO

    public static final Region BANGSAMORO

- ## Method Details

  - ### values

    public static Region[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Region valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null